import { Materiale } from "./materiale";
import { Point } from "geojson";

export interface Produksjonsdetaljer {
    produksjonsdataRestRec: number[];
    kjøretøyId?: string;
    datoLogget: string;
    hastighetKmHMax: number;
    hastighetKmHAvg: number;
    materiale?: Materiale;
    erPlogNede?: boolean;
    erSideplogIBruk?: boolean;
    erHøvelskjærNede?: boolean;
    erUnderliggendeSkjærNede?: boolean;
    erTørrstoffsprederPå?: boolean;
    erVåtstoffsprederPå?: boolean;
    sprederbredde?: number;
    dosering?: number;
    eksternReferanse?: string;
    minutterSiden: number;
    startLokasjon: LokasjonOgRecordId;
    sluttLokasjon: LokasjonOgRecordId;
    vegsystemreferansekortform?: string;
    rodeId: string[];
}

interface LokasjonOgRecordId {
    recordId: number;
    punkt: Point;
}
