import type { AppProps } from "next/app";
import Head from "next/head";
import "./styles.css";
import "../components/fellesKomponenter/spinner/spinner.scss";
import ErrorBoundary from "../components/feil/ErrorBoundary";

function MyApp({ Component, pageProps }: AppProps) {
    return (
        <>
            <Head>
                <title>Vegdriftsportal</title>
            </Head>
            <ErrorBoundary>
                <Component {...pageProps} />
            </ErrorBoundary>
        </>
    );
}

export default MyApp;
