import { KartSide } from "../kartSide/KartSide";
import { ProduksjonslenkerProvider } from "../api/context/ProduksjonslenkerContext";
import { RoderProvider } from "../api/context/RodeContext";
import { AuthenticationProvider } from "../api/context/AuthenticationContext";
import { KartdataProvider } from "../api/context/KartdataContext";
import { ProduksjonsfilterProvider } from "../api/context/ProduksjonsfilterContext";
import { HastighetsfilterProvider } from "../api/context/HastighetsfilterContext";
import { ØktfilterProvider } from "../api/context/ØktContext";
import { TidsfilterProvider } from "../api/context/TidsfilterContext";
import { KjoretoyProduksjonsdetaljerCacheProvider } from "../api/context/KjoretoyProduksjonsdetaljerCacheContext";
import { ProduksjonsdetaljerCacheProvider } from "../api/context/ProduksjonsdetaljerCacheContext";
import { InformasjonsmeldingProvider } from "../api/context/InformasjonsmeldingContext";
import { MenyÅpenProvider } from "../api/context/MenyÅpenContext";

export default function Produksjonskart() {
    return (
        <AuthenticationProvider>
            <KartdataProvider>
                <ProduksjonslenkerProvider>
                    <ProduksjonsfilterProvider>
                        <HastighetsfilterProvider>
                            <ØktfilterProvider>
                                <TidsfilterProvider>
                                    <KjoretoyProduksjonsdetaljerCacheProvider>
                                        <ProduksjonsdetaljerCacheProvider>
                                            <InformasjonsmeldingProvider>
                                                <RoderProvider>
                                                    <MenyÅpenProvider>
                                                        <KartSide />
                                                    </MenyÅpenProvider>
                                                </RoderProvider>
                                            </InformasjonsmeldingProvider>
                                        </ProduksjonsdetaljerCacheProvider>
                                    </KjoretoyProduksjonsdetaljerCacheProvider>
                                </TidsfilterProvider>
                            </ØktfilterProvider>
                        </HastighetsfilterProvider>
                    </ProduksjonsfilterProvider>
                </ProduksjonslenkerProvider>
            </KartdataProvider>
        </AuthenticationProvider>
    );
}
