import { Tekst } from "../../../components/fellesKomponenter/typografi/Tekst";
import styled from "styled-components";
import React from "react";

interface DatafeltProps {
    tittel: string;
    data?: string;
}

export const Datafelt = ({ tittel, data }: DatafeltProps) => (
    <DatafeltDiv aria-label="datafelt">
        <Tekst størrelse={"S"}>{tittel}</Tekst>
        <Tekst størrelse="M" bold={true}>
            {data ? data : "-"}
        </Tekst>
    </DatafeltDiv>
);

const DatafeltDiv = styled.div`
    flex-grow: 1;
    margin-bottom: 8px;
    width: 100%;
`;
