import { AuthenticationProvider } from "../api/context/AuthenticationContext";
import { ØktfilterProvider } from "../api/context/ØktContext";
import { ØktDetaljerProvider } from "../api/context/ØktDetaljerContext";
import { ØktdetaljerSide } from "../øktdetaljerSide/ØktdetaljerSide";

export default function Oktdetaljer() {
    return (
        <AuthenticationProvider>
            <ØktfilterProvider>
                <ØktDetaljerProvider>
                    <ØktdetaljerSide />
                </ØktDetaljerProvider>
            </ØktfilterProvider>
        </AuthenticationProvider>
    );
}
