import dayjs from "dayjs";
import { tilIsoDatoString } from "../tid";

export interface LocalstorageDataMedGyldigDato<T> {
    data: T;
    gyldigDato: string;
}

export const defaultStorageGyldigTilDato = {
    data: true,
    gyldigDato: tilIsoDatoString(dayjs()),
};

export const setLocalstorageDataMedGyldigDatoType = <Type>(
    data: Type
): LocalstorageDataMedGyldigDato<Type> => {
    return {
        data: data,
        gyldigDato: tilIsoDatoString(dayjs()),
    };
};
